ENT.Type = "anim"
ENT.Base = "base_follower"
ENT.RenderGroup = RENDERGROUP_TRANSLUCENT
ENT.AutomaticFrameAdvance = true 

function ENT:Initialize()
	
	self.ModelString = 'models/props_junk/watermelon01.mdl'
	self.ModelScale = 0.5

	self.BaseClass.Initialize( self )
	


end

function ENT:Fo_UpdatePet( speed, weight )
	local noAng = self:GetAngles()
	self:SetAngles( noAng + Angle( math.sin( CurTime() * fo.WobbleSpeed ) * -8, math.cos( CurTime() * fo.WobbleSpeed ) * -8, 0 ) )
end